28 January 1991

                              ASSEMBLY MANUAL

                                  FOR THE

                         AMIGA I/O EXPANSION BOARD

                     1990,91 The Puzzle Factory, Inc.



INTRODUCTION

This project will enable you to inexpensively add two parallel ports and  two
serial ports to your Amiga 500, 1000 or 2000.  Furthermore,  you  can  easily
and  inexpensively upgrade to four parallel ports and/or four serial ports at
any time.  The hardware consists of a small printed circuit board with  a  40
pin  cable and DIP jumper that plugs into the socket occupied by CIA B, and a
small pcb that contains the serial interface.  CIA B is physically moved onto
the I/O Expansion board.


DISCLAIMER

This is a simple hack, and if you get the bare boards, or a  parts  kit,  you
should  have  no  trouble  putting  it together and having it running on your
Amiga in short order.  You do not need to understand how this board works  to
enjoy  using  it,  but  it  will  help if you have to fix it.  If you do have
problems, or fry your beloved Amiga, it's your problem only.  Because the  RF
shield  is  modified  in order to install this board (on an Amiga 1000), it's
your responsibility to comply with FCC regulations concerning RFI.   If  your
neighbors  complain  of RFI on their TV sets, you must solve the problem.  If
you have no experience soldering or handling electronic components, don't try
this project as your first one!  I may be able to  help  with  some  problems
that  you  run into.  I check BIX regularly, and my email address is jblavin.
Alternately you can call my BBS, The Symposium, at (503) 935-7883.

While  every  effort has been made to make these instructions as accurate and
complete as possible, neither Jeff Lavin or The Puzzle Factory, Inc.  accepts
any responsibility arising from any inaccuracies contained herein.


ASSEMBLY NOTES

We suggest that you print this file so that you can  take  advantage  of  the
"check" boxes provided at the left to help keep track of your progress.

Please  read  and  understand  each  section before you begin work.  You will
finish sooner, the board will cost you less, and we'll all be happy.

Before you start to assemble this project, make sure you have all  the  tools
necessary to do the job properly.  You will need:

  1.  A small (15-25 watt) soldering pencil, preferably temperature
      controlled.
  2.  Good electronic quality 60/40 alloy rosin core solder.
      A diameter of .031" will work well.
  3.  Small needle-nose pliers.
  4.  Small diagonal cutters.
  5.  Wire strippers.
  6.  Tools for dealing with the insulation displacement connectors (IDCs).
      If you do not have access to a press, please use a smooth-jawed vise
      to press on the IDCs, and work very carefully.  Do not use pliers.
  7.  Integrated circuit pin straightener.

You may also need one or more of the following tools in order  to  mount  the
connectors for access to the outside world:

  1.  1/4" drill and various sized bits.
  2.  Chassis punch or nibbling tool.
  3.  Utility knife.

Due to the small foil area around some circuit  board  holes  and  the  small
areas  between  pads,  you  must  use  care to prevent solder bridges between
adjacent pads.  Use only the  minimum  amount  of  solder  and  do  not  heat
components  excessively.   It  is  also  very important to keep the soldering
pencil tip clean and well tinned.

The electronic components are  intended  to  be  inserted  into  the  side of
the printed circuit board that contains white screen printing.

When installing electrolytic capacitors, make sure  that  they  are  oriented
properly.  In all cases where polarized capacitors are to be  installed,  the
square pad will mark the positive lead.

Take  care  to  orient  integrated  circuits  properly,  too.  In many cases,
installing an IC backwards may irreversibly destroy it,  wasting  both  money
and  time  on  a  replacement.  In all cases where ICs are to be installed, a
square pad marks pin 1.

We strongly recommend the use of sockets for all integrated circuits used  in
this  project.   When  installing  integrated  circuits  into  their sockets,
especially 40 pin ICs, be very careful to see that all the pins  actually  go
into  the  slots in the socket.  ICs come from the manufacturer with the rows
of pins slightly bent out  to  facilitate  the  use  of  automatic  insertion
equipment.   Before  you can insert the ICs by hand you must bend the rows of
pins back to an approximately 90 degree angle.  This can best be accomplished
by the use of an inexpensive pin straightener.

When pressing IDCs onto ribbon cable, make sure that the cable is  accurately
alligned  inside  the connector so that there is not excess cable on one side
and an unused contact on the other.  Also be careful to press  the  connector
on straight.  A sufficient angle may cause a contact to  make  connection  to
two lines.


I/O EXPANSION BOARD ASSEMBLY

The  following  parts  will be necessary to complete the I/O Expansion Board.
Please see the end of this manual for sources:

    Part #      Description
    ------      ----------------------------------
[ ] PCB1        I/O Expansion Board printed circuit board
[ ] U1          8520 integrated circuit (From Amiga)
[ ] U2, U3      R65C22P1 VIA integrated circuit (2 ports each)
[ ] U4, U5      R65C52P1 DACIA integrated circuit (2 ports each)
[ ] U6          74F139 integrated circuit
[ ] U7          74LS90 integrated circuit (Optional for MIDI)

[ ] X1          3.6864 Mhz crystal
[ ] OSC1        5.0 Mhz TTL clock oscilator (Optional for MIDI)

[ ] R1, R2      1K 1/4W 5% resistor
[ ] C1, C2      18 pf disc capacitor
[ ] C3          22 uf 6.3V decoupling capacitor
[ ] C4-C10      .01 uf decoupling capacitor

[ ] P1          20x2 pin dual-row socket header, gold
[ ] P2, P3      20 pin single-row male connector, gold
[ ] P4, P5      10x2 pin dual-row socket header, gold
[ ] J1, J2      3 pin single-row male connector, gold
[ ] J3          2 pin single-row male connector, gold
[ ] S1, S2      Shorting jumpers, gold inlay

[ ] SO1-SO5     40 pin DIP socket
[ ] SO6         16 pin DIP socket
[ ] SO7         14 pin DIP socket (Optional for MIDI)

This parts list is for building a 4/4 port board.  Depending on which set  of
parts  you  order, and whether you are building 2 or 4 ports, you may receive
fewer parts than this.

Unpack the printed circuit board and carefully inspect it  for  damage.   TPF
will  not exchange circuit boards that have been partially or fully assembled
under any circumstances.

Start Assembly

[ ] Solder five 40 pin sockets SO1-SO5 at U1-U5.
[ ] Solder a 16 pin socket SO6 at U6.
[ ] Optionally solder a 14 pin socket SO7 at U7.  If you are not planning  to
    use the MIDI capability, this part may be left out.

[ ] Solder X1, the 3.6864 Mhz crystal.  Be careful that the  metal  can  does
    not touch the foil pads on the board.
[ ] Optionally solder OSC1, the 5.0 Mhz TTL clock oscilator.  If you are  not
    planning to use the MIDI capability, this part may be left out.

[ ] Important note: If you are planning to use the MIDI capability, you  must
    install a jumper on the back of the PCB connecting together pins 3, 6 and
    10 of U7.  30 gauge wire-wrap wire will work well in this application.  A
    trace was inadvertantly left off the PCB and  the  MIDI  clock  will  not
    function without this connection.

[ ] Solder 1K 1/4W 5% resistor R1 and R2.
[ ] Solder .01 mf decoupling capacitors C4-C10.
[ ] Solder 18 pf disc capacitors C1-C2.
[ ] Solder 22 uf decoupling capacitor  C3.   The  square  pad  indicates  the
    positive lead.

Be  especially  careful  of  solder  bridges  when  soldering  the  following
connectors:

[ ] Solder P1, the 20x2 pin dual-row socket header.

[ ] Solder P2, the 20 pin single-row male connector.
[ ] If a 65C22 is to be installed at U3, solder P3 in the same manner as P2.

[ ] Solder P4, the 10x2 pin dual-row socket header.
[ ] If a 65C52 is to be installed at U5, solder P5 in the same manner as P4.
[ ] Solder J1, the 3 pin single-row male connector.
[ ] If a 65C52 is to be installed at U5, solder J2 in the same manner as J1.
[ ] Solder J3, the 2 pin single-row male connector.

[ ] Cut two pieces of wire about 8 inches long.  28-30  gauge  stranded  wire
    will work well here.  We suggest you use two different colors of wire.
[ ] Attach one end of each wire to the two square posts of J3, labled A14 and
    A15.  These may be soldered directly to the posts, or a 2-position socket
    connector may be used to aid in subsequent disassembly.

[ ] Install shorting jumper S1 onto J1 at this time.   If  OSC1  and  U7  are
    installed, place the jumper over pins 1 and 2.  If OSC1 and  U7  are  not
    installed, place the jumper over pins 2 and 3.

                 pin 1 2 3                pin 1 2 3
                    _______                  _______
                   | . . . |                | . . . |
                   |_______|                |_______|

                      J1                       J2
                    _______________         _______________
                   |               |       |               |
                   |   Top of U4   |       |   Top of U5   |
                   |               |       |               |
                   |               |       |               |

[ ] If a 65C52 is to be installed at U5, install jumper S2  onto  J2  in  the
    same manner as S1.

[ ] Clean excess flux off the back of the board.  Depending on  the  type  of
    flux  used,  rubbing alcohol or laundry detergent may do the trick.  Both
    methods are reasonably safe.  Use stronger solvents  at  your  own  risk.
    Put the cleaned board somewhere warm, not hot, to dry.

[ ] Place  the  board  on a conductive surface.  Aluminum foil will work well
    for this purpose.
[ ] Install a 74F139 IC at U6.
[ ] Install one R65C52P1 DACIA at U4.
[ ] Optionally  install  the  other  R65C52P1  DACIA at U5.  In order for the
    software to work properly,  if  only  one  65C52  is  used,  it  must  be
    installed at U4.
[ ] Install one R65C22P1 DACIA at U2.
[ ] Optionally  install  the  other  R65C22P1  DACIA at U3.  In order for the
    software to work properly,  if  only  one  65C22  is  used,  it  must  be
    installed at U2.
[ ] Optionally install a 74LS90 at U7.  If you are not planning  to  use  the
    MIDI capability, this part may be left out.

[ ] Place the I/O Expansion  Board  aside  for  the  time  being,  leaving  a
    conductive material in contact with the back of the board.

End Assembly



INTERFACE BOARD ASSEMPLY

The following parts will  be  necessary  to  complete  the  Interface  Board.
Please see the end of this manual for sources:

    Part #      Description
    ------      ----------------------------------
[ ] PCB2        Interface Board printed circuit board
[ ] U1, U2      MAX238CNG integrated circuit

[ ] R1, R2      1K 1/4W 5% resistor (Optional - see text)
[ ] C1, C5      4.7 uf 25V capacitor, charge pump
[ ] C2, C6      4.7 uf 25V capacitor, charge pump
[ ] C3, C7      10 uf 25V capacitor, charge pump
[ ] C4, C8      10 uf 25V capacitor, charge pump

[ ] P1          20x2 pin dual-row socket header
[ ] P2, P3      25 pin right-angle pcb male sub-D connector

[ ] SO1-SO2     24 pin DIP socket on .300" centers

Please  note  that  this  parts list will build 1 Interface Board, which will
provide 2 ports.  For 4 serial ports, 2 Interface Boards are required.

Unpack the printed circuit board and carefully inspect it  for  damage.   TPF
will  not exchange circuit boards that have been partially or fully assembled
under any circumstances.

Start Assembly

[ ] Solder two 24 pin sockets SO1 and SO2 at U1-U2.

[ ] Optionally solder R1 and R2, 1K 1/4W 5% resistors.  These components  are
    used to pull up CTS, and are only necessary if you will be connecting the
    serial port to a device that does not assert CTS.  The 65C52 ICs will not
    transmit if CTS is not asserted.  This is  implemented  in  hardware  and
    must be addressed in hardware.

Be very careful of the orientation of the folowing capacitors:

[ ] Solder 4.7 uf 25V capacitor C1, C2, C5 and C6.
[ ] Solder 10 uf 25V capacitor C3, C4, C7 and C8.

Be  especially  careful  of  solder  bridges  when  soldering  the  following
connectors:

[ ] Solder P1, the 20x2 pin dual-row socket header.

[ ] Install P2 and P3, the 25 pin sub-D connector, into the component side of
    the board.  If you want to use female DB-25 connectors  for  any  reason,
    these  must  be  installed  into  the  back  of  the  board.   Attach the
    connectors to the board using four 4-40 x 5/16" pan head screws and nuts.
    After tightening the fasteners, solder the connectors to the board. 

[ ] Clean excess flux off the back of the board.  Depending on  the  type  of
    flux  used,  rubbing alcohol or laundry detergent may do the trick.  Both
    methods are reasonably safe.  Use stronger solvents  at  your  own  risk.
    Put the cleaned board somewhere warm, not hot, to dry.

[ ] Place  the  board  on a conductive surface.  Aluminum foil will work well
    for this purpose.
[ ] Install one MAX238CNG at U1 and the other at U2.
[ ] If an R65C52P1 DACIA is installed at U5,  assemble  the  other  Interface
    Board in the same manner as this one.

[ ] Place  the Interface Board aside for the time being, leaving a conductive
    material in contact with the back of the board.

End Assembly



CABLE ASSEMBLY

The following parts will be  necessary  to  complete  the  Cable  Assemblies.
Please see the end of this manual for sources:

    Part #      Description
    ------      ----------------------------------
[ ] N1          20x2 pin dual-row socket connector
[ ] N2, N3      10x2 pin dual-row socket connector
[ ] CA1         40 pin DIP plug with 9" 28 ga. ribbon cable, rainbow
[ ] CA2         20 conductor, 28 ga. ribbon cable, rainbow

Please note that this parts list will connect the I/O Expansion  Board  to  1
Interface  Board, which will provide 2 ports.  For 4 serial ports, more parts
are required.

Please read the INSTALLATION section before assembling the cables.

Start Assembly

[ ] Begin by determining how long a 40 conductor cable you will  need  to  go
    from  P1  on the I/O Expansion Board to the socket occupied by CIA B.  We
    strongly urge you not to make this cable any  longer  than  8",  and  the
    shorter the better.  Cut the cable, CA1, to this length.
[ ] Note  that  one end of this cable already has a 40 pin dip plug installed
    for you.  Press the 20x2 pin dual-row  socket  connector,  N1,  onto  the
    unterminated end of cable CA1.  Set aside.

[ ] Determinw how long a 20 conductor cable you will need to go  from  P4  on
    the I/O Expansion Board to P1 on Interface Board.  This cable may  safely
    be  made  2-3' long, but be aware that if the cable passes outside of the
    computer cabinet, it may cause excessive RFI.  Cut a piece of the  cable,
    CA2, to this length.
[ ] Press the 10x2 pin dual-row socket connectors, N3 and N4, onto  the  ends
    of this cable.  Set aside.

[ ] If a 65C52 is installed at U5, assemble another cable in the same  manner
    as this one.  Set aside.

End Assembly



SERIAL CABLE ASSEMBLY

Though  not strictly part of our project, a serial cable will be required for
each  serial  port  you  plan  to  use.   We  recommend  that these cables be
constructed according to the following directions for  general  purpose  use.
You  may  want  to construct cables using 15 pin sub-D connectors for special
purposes.

The following parts will be necessary to assemble one serial  cable.   Please
see the end of this manual for sources:

    Designation  Description
    -----------  ----------------------------------
[ ] P1           25 pin male solder-cup sub-D connector
[ ] P2           25 pin female solder-cup sub-D connector
[ ] CA1          8 conductor shielded cable w/drain

Start Assembly

[ ] Tin terminals 1-8 and 20 on the 25 pin sub-D connectors.
[ ] Strip and tin wire ends of the cable CA1.
[ ] Solder the cable to the terminals as follows:

       Name  P1   P2
       ====  ==   ==
       GND    1    1
       TXD    2    2
       RXD    3    3
       RTS    4    4
       CTS    5    5
       DSR    6    6
       GND    7    7
       DCD    8    8
       DTR   20   20

[ ] Install connector shells, and tighten hardware.

End Assembly



PARALLEL CABLE ASSEMBLY

Though not strictly part of our project, a parallel cable  will  be  required
for  each  parallel  port you plan to use.  We recommend that these cables be
constructed according to the following directions for use with printers,  and
most parallel devices.  You may want to different cables for special purposes.

There are four possible units associated with the eightbit.device, as follows:

     Unit 1: U2, Port A -> P2, pins  1-10 + ground
     Unit 2: U2, Port B -> P2, pins 11-20 + ground
     Unit 3: U3, Port A -> P3, pins  1-10 + ground
     Unit 4: U3, Port B -> P3, pins 11-20 + ground

For the purposes of this  explanation,  we  will  assume  that  you  will  be
constructing a cable using port 3.

The following parts will be necessary to assemble one parallel  cable.   Note
that  the parallel cable, unlike the serial cable, is assembled in two parts:
part 1 runs from the I/O Expansion Board to a local connector  (possible  the
computer's  rear  apron),  and  part  2  connects  the local connector to the
printer or other device.  Please see the end of this manual for sources:

    Designation  Description
    -----------  ----------------------------------
[ ] PP1          20x1 pin single-row socket connector
[ ] PP2          25 pin female solder-cup sub-D connector
[ ] PP3          25 pin male solder-cup sub-D connector
[ ] PP4          36 pin female Centronics type connector
[ ] CA1          11 conductor ribbon cable
[ ] CA2          11 conductor shielded cable w/drain

Start Assembly

[ ] Tin terminals 1-10 on the 20x1 pin single-row socket connector.
[ ] Tin terminals 1-11 and 17 on the 25 pin sub-D connectors.
[ ] Tin terminals 1-11 and 16 on the 36 pin female Centronics type connector.
[ ] Strip and tin wire ends of both cables, CA1 and CA2.
[ ] Solder  cable  CA1  to  connectors  P1  and  P2,  and solder cable CA2 to
    connectors P3 and P4 as follows:

     VIA  Signal   PP1  PP2  PP3  PP4   (These are the above designations,
     ===  ======   ===  ===  ===  ===    not connector designations)
     CA2  STROBE*   2    1    1    1
     D0   DATA0     3    2    2    2
     D1   DATA1     4    3    3    3
     D2   DATA2     5    4    4    4
     D3   DATA3     6    5    5    5
     D4   DATA4     7    6    6    6
     D5   DATA5     8    7    7    7
     D6   DATA6     9    8    8    8
     D7   DATA7    10    9    9    9
     CA1  ACK*      1   10   10   10
     -    GROUND  PAD   17   17   16

[ ] Install connector shells, and tighten hardware.

End Assembly



INSTALLATION OF I/O EXPANSION BOARD & INTERFACE BOARD

A500 Installation
=================
Remove power from the Amiga.  Remove the screws securing the cover and remove
the cover from the Amiga.  Remove the keyboard.  On some A500s  the  keyboard
connector  is  not  polarized,  so  note it's orientation.  You don't have to
remove the disk drive, but it will help if you unplug it's  cables  from  the
motherboard and fold them out of the way.  Toward the back of the motherboard
are the two CIAs.  Gently pry CIA B out of its socket (that's the one closest
to  the  disk  drive),  and  install it on the I/O Expansion Board at U1.  Be
careful to orient it correctly.  After installing the I/O Expansion Board and
Serial  Interface   Board(s)  (see  "Mechanical  Installation"),  remove  the
conductive material from the board and carefully insert the 40 pin DIP jumper
on  the  end  of cable, CA1, into the CIA B socket, ensuring that all 40 pins
line up correctly.  Then connect the 20x2 socket on  the  other  end  of  the
cable  onto  the header at P1 on the I/O Expansion Board.  As long as you are
careful and don't use excessive force, you should have no problems with  this
part of the installation.

Now we're going to connect the two wires we attached to  J3  earlier.   These
wires  bring  A14  and  A15  into the address decoder.  These signals are not
available from the CIA socket, so we must look elsewhere.  A  good  place  to
pick  up these signals is from the ROM.  Unfortunately, there are a number of
different motherboards made for the A500.  The best way  to  determine  where
A14  and  A15 are located on the ROM is to take an ohmeter and find out which
ROM pins are connected to pin 42 (A14) and pin 43  (A15)  on  the  CPU.   The
corresponding pins on the ROM should be somewhere around pin 36.  Some of the
A500 schematics are incorrect as to the location of these signals on the ROM,
so  it's best to check!  Solder the wire from the pad marked "A15" on the I/O
Expansion Board to A15 on the ROM, and solder the wire from  the  pad  marked
"A14"  on  the  I/O  Board  to A14 on the ROM.  This just about completes the
electronic installation.  (Skip to "Mechanical Installation".)


A1000 Installation
==================
Remove power from the Amiga.  Remove the plastic cover from  the  Amiga  base
unit.   Admire all the names.  Remove the RF shield and set aside.  You don't
have to remove the disk drive, but it will help if you unplug it's cable from
the motherboard and fold it out of the way.  Just in  back  of  the  internal
drive  are  the two CIAs.  Gently pry CIA B out of its socket (that's the one
closest to the daughterboard), and install it on the I/O Expansion  Board  at
U1.   Be careful to orient it correctly.  Remove the conductive material from
the board and place it on the left side of the Amiga, near and to the rear of
the three custom chips.  Carefully insert the 40 pin DIP jumper on the end of
cable, CA1, into the CIA  B  socket,  ensuring  that  all  40  pins  line  up
correctly.   Then  connect the 20x2 socket on the other end of the cable onto
the header at P1 on the I/O Expansion Board.  As long as you are careful  and
don't  use excessive force, you should have no problems with this part of the
installation.

Now we're going to connect the two wires we attached to  J3  earlier.   These
wires  bring  A14  and  A15  into the address decoder.  These signals are not
available from the CIA socket, so we must look elsewhere.  A  good  place  to
pick up these signals is from the back of the daughter board.  A15 is located
at U2L, pin 10, and A14 is located at U2K, pin 13 (see Diagram 3). Solder the
wire from the pad marked "A15" on the I/O Expansion Board to U2L, pin 10, and
solder  the  wire  from the pad marked "A14" on the I/O Board to U2K, pin 13.
This just about completes the electronic installation.  (Skip to  "Mechanical
Installation".)


A2000 Installation
==================
Note: The following installation was done on a Rev  4.2  motherboard.   Other
motherboards may be somewhat different.

Remove power from the Amiga.  Five screws hold the case together,  4  on  the
sides  and  1  at  the  back.  Unscrew them and slide off the top part of the
case.  Make a sketch indicating the orientation of all cables connecting  the
drive  bay  and  the  motherboard  and/or  other  cards  (such  as hard drive
controller cards), then unplug them.  Remove the power  supply/drive  bay  by
unscrewing  2  screws  in  front  and  4  in  the  back.   At  this point the
motherboard should be completely exposed.

Underneath where the power supply was, before you removed  it,  are  the  two
CIAs.   Gently  pry CIA B (labeled U301) out of its socket, and install it on
the I/O Expansion Board at U1.  Be careful to orient it correctly.

One of the most difficult decisions you will have is where to mount  the  I/O
Board.  The location you choose will be affected by how crowded your 2000 is,
whether  you have a board in the CPU slot, etc., so it's not possible to give
definite instructions.  Note that this decision will affect how  you'll  want
to assemble the 40-pin DIP jumper, so hold off the construction of this cable
until  you  have resolved the board's final location.  One idea is especially
attractive:  Mount the I/O Board on a bare Zorro card, or maybe even  a  real
Zorro  card (a HD controller with unused space reserved for a hard disk would
be ideal).  This will give it sufficient mechanical sturdiness, and  make  it
extremely  easy  to obtain A14 and A15 as well as additional power and ground
lines.

After you have determined where the I/O Board is to be installed, remove  the
conductive  material  from the board and install it.  Assemble the 40 pin DIP
jumper cable, CA1, and carefully insert the DIP plug into the CIA  B  socket,
ensuring that all 40 pins line up correctly.  Then connect the 20x2 socket on
the  other end of the cable onto the header at P1 on the I/O Expansion Board.
As long as you are careful and don't use excessive force, you should have  no
problems with this part of the installation.

Now we're going to connect the two wires we attached to  J3  earlier.   These
wires  bring  A14  and  A15  into the address decoder.  These signals are not
available from the CIA socket, so we must look elsewhere.  There are  only  a
few sources of A14 and A15 in the 2000.  The unbuffered signals are available
at  the  68000/68010,  the ROM, and Agnus.  The use of the unbuffered address
lines is not recommended.  Instead, grab A14 and A15 from U601  (an  74LS245)
or one of the 100-pin "Zorro II" slots, as follows:

     U601              A14 - pin 12
     ----              A15 - pin 11

     "Zorro II" slot   A14 - pin 41
     ---------------   A15 - pin 43

This just about completes the electronic installation.


Mechanical Installation
=======================
Note: As the following section was written primarily for an A1000, only  some
portions  will  be applicable to other Amigas.  We encourage you to read this
section even if you own an A2000.

Most  of  the remainder of the work is of a mechanical nature.  At this point
you must make some decisions.  First of all, decide exactly where and how you
want to secure the I/O Expansion Board in place.  In my own A1000, I set  one
end  of  the  board  on top of the power harness, and supported the other end
with plastic standoffs.

Where do you want to mount the connectors for the  serial  ports?   You  will
find  that  the  four  D-subminiature  connectors  will  fit handily over the
existing row of connectors on the Amiga's rear apron  (see  Illustration  1).
Each serial interface board connects to the I/O Expansion Board with a 20 pin
ribbon cable and header sockets.  The first two ports, Port 1 and Port 2, are
connected  to  P4  on  the  I/O  Expansion Board, while Port 3 and Port 4 are
connected to P5.

What kind of connectors do you want to use for the parallel ports?  You could
use D-subminiature connectors for the parallel ports if you can find a way to
tell them apart  from  the  serial  ports.   Centronics-type  connectors  are
another  option  for  the  parallel  ports.   After  deciding  what  type  of
connectors  to  use,  either  solder  or  crimp  ribbon  cable  to  them,  as
appropriate,  and  install  them temporarily.  Experiment with different wire
routings until you are satisfied with the arrangement.  Now attach the  other
end  of  the  ribbon cable to the I/O Board connectors, making sure to attach
grounds to the two ground pads provided near pin 1 of P2 and P3.

Whatever connectors you do end up using will have to be installed  somewhere.
You  will need to make cutouts for the connectors, and also cutouts in the RF
shield.  One option may be  to  just  leave  the  shield  off  entirely,  but
remember  that  you  are  responsible  for  any  RFI  that  results from your
modifications.  This completes the installation.


Debugging
=========
Note:  The following section was written primarily for an  A1000.   With  the
exception  of  references  to  Kickstart,  most  of  the  remainder  will  be
applicable to other Amigas.

Before you start permanently attaching things to your Amiga, you will want to
try things out.  For simplicity, you may apply power  to  the  I/O  Expansion
Board  without having the Interface Board(s) connected.  If you power up, and
nothing at all happens, i.e. the screen doesn't change color - the power  LED
may not come on, etc., turn the power off immediately, as you probably have a
short  circuit.   Visually  inspect the board, and if you find nothing wrong,
remove all the chips, except for the CIA at  U1,  and  temporarily  insert  a
jumper  from U6, pin 1 to U6, pin 7.  This will have the effect of making the
CIA look electrically to the Amiga as if the I/O Board wasn't there  at  all.
Try powering up again.  If you get the Kickstart disk icon this time, you can
pretty  well  suspect  a  bad IC, or a missing signal (or ground).  One other
thing you may try at this time is to solder a 10K resistor between the  reset
pin  of  any of the chips U2-U5 and +5V.  On some Amigas the built-in pull-up
resistor may be insufficient.  If none of these  remedies  get  you  running,
it's hardware debugging time, and I wish you luck.

If the Amiga does all or any of the following:

  1. Refuses to accept the Kickstart disk
  2. The disk drive chatters and buzzes
  3. Refuses to read the Workbench disk
  4. Reads Workbench properly, but access light goes on and off,
     drive double-steps, etc.

it is possible that you may be experiencing some noise problems, depending on
when your Amiga was made.  The first thing to suspect in  this  case  is  the
PAL's  on  the  daughterboard.  Run additional ground and +5V busses to all 4
PAL's and both tower sockets.  If this doesn't do the  trick,  run  an  extra
ground  lead  directly  to  the  I/O  Expansion  Board  at the pad marked "-"
adjacent to P1, pin 1.  A +5 power lead may also  be  connected  to  the  pad
marked  "+"  adjacent  to  P1,  pin 39, but should not normally be necessary.
This should solve the problem.  The only other possibility is to  try  a  new
8520 (or 6526, which is considerably cheaper).  A bad CIA is possible in this
case,  because  the  signals may be too weak to overcome the extra capacitive
loading of the cable.  If the CIA worked fine before installing it in the I/O
Board, but will not work correctly in the board, try  swapping  it  with  the
other CIA before buying a new one.  



CLOCK/CALENDAR BOARD ASSEMBLY

The  following  parts  will be necessary to complete the Clock/calendar Board.
Please see the end of this manual for sources:

    Part #      Description
    ------      ----------------------------------
[ ] PCB3        Clock/Calendar Board printed circuit board
[ ] U1          OKI MSM5832 Real-time Clock/calendar integrated circuit
[ ] X1          32.768 Khz clock crystal
[ ] C1          4.7 uf 6.3V decoupling capacitor
[ ] C2          20 pf disc capacitor
[ ] C3          5-35 pf variable capacitor
[ ] R1          2.7K 1/4W 5% resistor
[ ] R2          100 ohm 1/4W 5% resistor
[ ] D1          1N4000 diode
[ ] SO1         18 pin DIP socket
[ ] P1          20x1 pin single-row socket connector
[ ] B1          NiCad or Lithium battery (see text)

Please note that parts for the clock are readily available, but not from  us,
except for the printed circuit board, PCB3.

Unpack the printed circuit board and carefully inspect it  for  damage.   TPF
will  not exchange circuit boards that have been partially or fully assembled
under any circumstances.

Start Assembly

Please refer to the IFF file, "Clock_Diag.iff" while  assembling  this  board
for correct parts placement.

[ ] Solder R1, the 2.7K 1/4W 5% resistor.
[ ] Solder SO1, the 18 pin DIP socket.
[ ] Solder C2, the 20 pf disc capacitor.
[ ] Solder C3, the 5-35 pf variable capacitor.
[ ] Solder C1, the 4.7 uf 6.3V decoupling capacitor.
[ ] Solder  X1,  the  32.768  Khz  clock  crystal.  Be careful not to let the
    crystal get too hot.
[ ] Solder P1, the 20x1 pin single-row socket connector.
[ ] Cut two pieces of wire about 8 inches long.  28-30  gauge  stranded  wire
    will work well here.  We suggest you use red and black wire for  +5V  and
    ground, respectively.
[ ] Strip approximately 1/4" of insulation from the black wire.   Insert  the
    black wire through the  pad  indicated,  from  the  component  side,  and
    solder.  Bend the excess over to form a jumper between the indicated pads
    and solder.

B1  may  be  either  a  3  cell  NiCad battery, or a 3V lithium battery.  The
batteries may be fastened to the component side of the Clock Board with tape,
glue, double-sided sticky stuff, Velcro, rubber bands, or chewing gum.   Even
a battery holder!  If using a NiCad battery follow these instructions:

[ ] Solder R2 and D1.
[ ] Connect the negative side of the battery to the pad marked "-".
[ ] Connect the positive side of the battery to the pad marked "B+".
[ ] Solder the red wire to the pad marked "V+".

If using a lithium battery follow these instructions:

[ ] Connect the negative side of the battery to the pad marked "-".
[ ] Connect  the  positive  side  of  the battery to the the pad marked "V+".
    Install  a  jumper between the pads indicated.  Do not install R2, D1, or
    the red wire.

[ ] Install U1 in S1.

End Assembly



INSTALLATION OF CLOCK/CALENDAR BOARD

Remove power from the  Amiga.   The  Clock/Calendar  Board  is  installed  by
pushing  the  header  socket over the 20 pin single-row header next to one of
the 65C22 VIAs, and attaching power and ground.  The ground  wire  should  be
soldered close to the header using the ground pad provided.  The +5V lead may
be  connected to any convenient source in the Amiga, and is only necessary if
using NiCad batteries.  Note that the "Time" program as supplied is assembled
to use the VIA at U2, and must be reassembled to use the VIA at U3.

The 5-35 pf variable capacitor, C3, is used to set the accuracy of the clock.
This may generally be done in a trial and error fashion.  As this board is so
simple, there is generally nothing to debug.  If the clock won't run,  either
the clock chip, or the crystal must be damaged.

This completes the installation.


Amiga, Kickstart & Workbench are trademarks of Commodore-Amiga, Inc.

=eof=
